import { execSync } from 'child_process';

const packages = [
  'smui-theme',
  '@material/elevation',
  '@smui/card',
  '@smui/button',
  '@smui/dialog',
  '@smui/snackbar',
  '@smui/icon-button',
  '@smui-extra/bottom-app-bar',
  '@smui/checkbox',
  '@smui/form-field',
  '@smui/select',
  '@smui/textfield',
  '@smui/circular-progress',
  '@smui/tab',
  '@smui/tab-bar',
  '@smui/tooltip',
  'svelte-multiselect'
]

try {
  execSync(`npm install --save-dev ${packages.join(' ')}`, { stdio: 'inherit' });
} catch (e) {
  console.error(e);
  process.exit(1);
}
