export default class FormExtractor {

  static data(form) {
    const inputs = form.querySelectorAll("input, select, textarea");
    const data = {};
    for (const input of inputs) {
      if (input.type === "radio" && !input.checked) {
        return;
      } else if (input.type === "checkbox") {
        data[input.name] = input.checked;
      } else {
        data[input.name] = input.value;
      }
    }
    return data;
  }

}
