export default class Notification {

  static new(message, milliseconds = 2_500) {
    const event = new CustomEvent('show-notification', {
      detail: {
        message: message,
        milliseconds
      }
    });
    document.dispatchEvent(event);
  }

}
